genphy_config_aneg
Prev | PHY Support | Next

## Name

genphy_config_aneg — restart auto-negotiation or write BMCR

## Synopsis

`int genphy_config_aneg (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

If auto-negotiation is enabled, we configure the advertising, and then restart auto-negotiation. If it is not enabled, then we write the BMCR.

Prev | Up | Next
genphy_config_advert | Home | genphy_update_link